using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.ApplicationModel.Resources;

namespace SparklineSamples
{
    public static class Strings
    {
        private static ResourceLoader _loader = ResourceLoader.GetForCurrentView("SparklineSamplesLib/Resources");

        public static string UniqueIdItemsArgumentException
        {
            get
            {
                return _loader.GetString("UniqueIdItemsArgumentException");
            }
        }

        public static string SessionStateErrorMessage
        {
            get
            {
                return _loader.GetString("SessionStateErrorMessage");
            }
        }

        public static string SessionStateKeyErrorMessage
        {
            get
            {
                return _loader.GetString("SessionStateKeyErrorMessage");
            }
        }

        public static string SuspensionManagerErrorMessage
        {
            get
            {
                return _loader.GetString("SuspensionManagerErrorMessage");
            }
        }

        public static string InitializationException
        {
            get
            {
                return _loader.GetString("InitializationException");
            }
        }

        public static string SparklineSamplesOverviewTitle
        {
            get
            {
                return _loader.GetString("SparklineSamplesOverviewTitle");
            }
        }

        public static string SparklineSamplesOverviewDescription
        {
            get
            {
                return _loader.GetString("SparklineSamplesOverviewDescription");
            }
        }

        public static string SparklineSamplesOverviewName
        {
            get
            {
                return _loader.GetString("SparklineSamplesOverviewName");
            }
        }

        public static string SparklineSamplesAppearanceTitle
        {
            get
            {
                return _loader.GetString("SparklineSamplesAppearanceTitle");
            }
        }

        public static string SparklineSamplesAppearanceDescription
        {
            get
            {
                return _loader.GetString("SparklineSamplesAppearanceDescription");
            }
        }

        public static string SparklineSamplesAppearanceName
        {
            get
            {
                return _loader.GetString("SparklineSamplesAppearanceName");
            }
        }

        public static string SparklineSamplesListBoxTitle
        {
            get
            {
                return _loader.GetString("SparklineSamplesListBoxTitle");
            }
        }

        public static string SparklineSamplesListBoxDescription
        {
            get
            {
                return _loader.GetString("SparklineSamplesListBoxDescription");
            }
        }

        public static string SparklineSamplesListBoxName
        {
            get
            {
                return _loader.GetString("SparklineSamplesListBoxName");
            }
        }

        public static string StatesColumnValue
        {
            get
            {
                return _loader.GetString("StatesColumnValue");
            }
        }

        public static string MagentaColor
        {
            get
            {
                return _loader.GetString("MagentaColor");
            }
        }

        public static string PurpleColor
        {
            get
            {
                return _loader.GetString("PurpleColor");
            }
        }

        public static string TealColor
        {
            get
            {
                return _loader.GetString("TealColor");
            }
        }

        public static string LimeColor
        {
            get
            {
                return _loader.GetString("LimeColor");
            }
        }

        public static string BrownColor
        {
            get
            {
                return _loader.GetString("BrownColor");
            }
        }

        public static string PinkColor
        {
            get
            {
                return _loader.GetString("PinkColor");
            }
        }

        public static string OrangeColor
        {
            get
            {
                return _loader.GetString("OrangeColor");
            }
        }

        public static string BlueColor
        {
            get
            {
                return _loader.GetString("BlueColor");
            }
        }

        public static string RedColor
        {
            get
            {
                return _loader.GetString("RedColor");
            }
        }

        public static string GreenColor
        {
            get
            {
                return _loader.GetString("GreenColor");
            }
        }

        public static string WhiteColor
        {
            get
            {
                return _loader.GetString("WhiteColor");
            }
        }

    }
}
